Description: Debian compile python modules for all supported python versions
Forwarded: not-needed
--- a/module/ownet/python/Makefile.am
+++ b/module/ownet/python/Makefile.am
@@ -4,7 +4,10 @@
 #	OpenSUSE is buggy and install libraries at /usr/local.
 #	Need to add call "install_lib --install-dir" or call "install --install-lib"
 #	$(PYTHON) setup.py install_lib --install-dir="/$(DESTDIR)$(PYSITEDIR)"
-	$(PYTHON) setup.py install --install-lib="$(DESTDIR)$(PYSITEDIR)"
+	set -e ; set -x ; for p in \
+			$$(py3versions -r ../../../debian/control) ; do \
+		$$p setup.py install --install-layout=deb --root=$(DESTDIR) ; \
+	done
 # Other options are (but not needed): --install-data="/$(DESTDIR)$(PYSITEDIR)" --install-script="/$(DESTDIR)$(PYSITEDIR)" --install-header=
 
 clean-local:
--- a/module/swig/python/Makefile.am
+++ b/module/swig/python/Makefile.am
@@ -9,13 +9,21 @@
 	$(SWIG) -python -o $@ ../ow.i
 
 OW.py: ow_wrap.c setup.py $(LIBOW)
+# build is done at install time, for all supported python versions
+	echo skipping \
 	CFLAGS="@LIBUSB_CFLAGS@ @LIBAVAHI_CFLAGS@" $(PYTHON) setup.py build
 
 install-data-local:
 #	OpenSUSE is buggy and install libraries at /usr/local.
 #	Need to add call "install_lib --install-dir" or call "install --install-lib"
 #	$(PYTHON) setup.py install_lib --install-dir="/$(DESTDIR)$(PYSITEDIR)"
-	$(PYTHON) setup.py install --install-lib="$(DESTDIR)$(PYSITEDIR)"
+	set -e ; set -x ; for p in \
+			$$(py3versions -r ../../../debian/control) ; do \
+		: LDFLAGS="$$($$p-config --ldflags) $(LDFLAGS)" \
+		CFLAGS="$$($$p-config --cflags) -fPIC @LIBUSB_CFLAGS@ @LIBAVAHI_CFLAGS@" $$p setup.py build ; \
+		: $$p setup.py install --install-layout=deb --root=$(DESTDIR) ; \
+		: $$p setup.py clean ; \
+	done
 # Other options are (but not needed): --install-data="/$(DESTDIR)$(PYSITEDIR)" --install-script="/$(DESTDIR)$(PYSITEDIR)" --install-header=
 
 clean-local:
